.region-choose {
  position: relative;
  display: flex;
  min-width: 0;
}

.region-choose__header {
  max-width: 100%;
  color: var(--header-text-color, var(--dark));
  cursor: pointer;
  user-select: none;
  transition: transform var(--transition), color var(--transition);
}

.region-choose__header:hover, .region-choose__header:focus {
  color: var(--primary-hover);
  outline: none;
}

.region-choose__header:active {
  color: var(--primary-active);
}

.region-choose__header:disabled {
  color: var(--secondary-500);
  cursor: auto;
}

.region-choose__header-city {
  width: fit-content;
  max-width: 150px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.region-choose__header svg {
  flex-shrink: 0;
}

.region_choose__regions-wrap {
  position: relative;
  flex-grow: 1;
}
@media (max-width: 1024px) {
  .region_choose__regions-wrap {
    height: 100%;
  }
}

.region-choose-modal.swal2-container {
  padding: 0;
}
.region-choose-modal .swal2-popup {
  row-gap: 8px;
  height: 100%;
}
@media (min-width: 1025px) {
  .region-choose-modal .swal2-popup {
    display: grid !important;
    grid-template-rows: min-content 1fr;
    height: 100vh;
    max-height: 100vh;
    border-radius: 0;
  }
}
@media (max-width: 1024px) {
  .region-choose-modal .swal2-html-container {
    height: 100%;
  }
}
.region-choose-modal__popup--show {
  animation-name: fadeInUp;
}
@media (min-width: 1025px) {
  .region-choose-modal__popup--show {
    animation-name: fadeInRight;
  }
}
.region-choose-modal__popup--hide {
  animation-name: fadeOutDown;
}
@media (min-width: 1025px) {
  .region-choose-modal__popup--hide {
    animation-name: fadeOutRight;
  }
}

.region-choose-modal .select-city__list {
  display: flex;
  flex-direction: column;
}

.region-choose-modal .select-city__list span {
  color: var(--primary);
  transition-property: color;
  transition-duration: var(--transition-duration);
  transition-timing-function: var(--transition-timing-function);
}
@media (hover: hover) {
  .region-choose-modal .select-city__list span:hover {
    color: var(--primary-hover);
  }
}
.region-choose-modal .select-city__list span:focus {
  outline: none;
}
.region-choose-modal .select-city__list span:active {
  color: var(--primary-active);
}
.region-choose-modal .select-city__list span:disabled {
  color: var(--secondary-500);
  cursor: auto;
}
.region-choose-modal .select-city__list span {
  width: fit-content;
  margin-top: 8px;
  color: var(--dark);
  cursor: pointer;
}

.region-choose-modal .select-city__list span:hover {
  color: var(--primary-hover);
}

.region-choose-modal .select-city__list_wrapper_favorites .select-city__list span {
  margin-top: 16px;
}

.select-city__tab_content {
  position: absolute;
  inset: 0;
  overflow: auto;
}
@media (max-width: 1024px) {
  .select-city__tab_content {
    height: 100%;
  }
}

@media (max-width: 1024px) {
  .bx-mac .select-city__tab_content,
  .bx-ios .select-city__tab_content {
    overflow: visible;
  }
}
.select-city__tab_content .select-city__empty_search {
  display: none;
}

.select-city__tab_content.empty-search .select-city__empty_search {
  display: block;
}

.select-city__tab_content.empty-search .select-city__groups {
  display: none;
}

.region-choose-modal .input-text ~ .text-error {
  display: none;
}

.region-choose-modal .input-text.error ~ .text-error {
  display: block;
}

@media (max-width: 576px) {
  .region-choose__header :not(:first-child) {
    display: none;
  }
}
#regions_choose_component_dropdown {
  top: 39px;
  z-index: 1101;
  box-shadow: var(--shadow);
}
@media (max-width: 1023px) {
  #regions_choose_component_dropdown {
    left: unset !important;
    right: 0 !important;
  }
}

.select-city__button_row > input {
  width: 130px;
}

.swal2-container.region-choose-modal {
  overflow: hidden !important;
}

@media (max-width: 768px) {
  .contacts-header :not(:first-child) {
    display: none;
  }
  .region-choose-modal .swal2-popup {
    border-radius: 24px 24px 0 0 !important;
  }
}
.region_choose_select-city {
  display: flex;
  flex-direction: column;
  height: 100%;
}
.region_choose_select-city__modal {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.select-city__dropdown__title {
  color: var(--dark);
}